Name:		console-setup
Version:	1.230
Release:	%mkrel 1
Summary:	Tools for configuring the console using X Window System key maps

Group:		System/Internationalization
# For a breakdown of the licensing, see COPYRIGHT, copyright, copyright.fonts and copyright.xkb
License:	GPLv2+ and MIT and Public Domain
URL:		https://packages.debian.org/cs/sid/console-setup
Source0:	https://ftp.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.xz

# Fixes installing paths to Fedora style
Patch0:		console-setup-1.76-paths.patch
# Fixes FSF address, sent to upstream
Patch1:		console-setup-1.76-fsf-address.patch
# Removes Caps_Lock to CtrlL_Lock substitution
Patch2:		console-setup-1.84-ctrll-lock.patch

Requires:	kbd
# require 'xkeyboard-config' to have X Window keyboard descriptions?

BuildRequires:	perl
BuildRequires:	perl(encoding)
BuildArch:	noarch

%description
This package provides the console with the same keyboard configuration
scheme that X Window System has. Besides the keyboard, the package configures
also the font on the console.  It includes a rich collection of fonts and
supports several languages that would be otherwise unsupported on the console
(such as Armenian, Georgian, Lao and Thai).


%package -n bdf2psf
Summary:	Generate console fonts from BDF source fonts
Group:		System/Internationalization

%description -n bdf2psf
This package provides a command-line converter that can be used in scripts
to build console fonts from BDF sources automatically. The converter comes
with a collection of font encodings that cover many of the world's
languages. The output font can use a different character encoding from the
input. When the source font does not define a glyph for a particular
symbol in the encoding table, that glyph position in the console font is
not wasted but used for another symbol.


%prep
%autosetup -p1

cp -a --remove-destination debian/copyright COPYRIGHT
cp -a --remove-destination debian/changelog CHANGES


%build
make build-linux


%install
make prefix=%{buildroot} install-linux
# we don't want another set of keyboard descriptions, we want to use descriptions from
# xkeyboard-config (require it?), so removing it
# or maybe have these from tarball it in optional subpackage?
rm -rf %{buildroot}/etc/console-setup

mkdir -p %{buildroot}%{_bindir}
install -p Fonts/bdf2psf %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/bdf2psf
cp -a Fonts/fontsets Fonts/*.equivalents Fonts/*.set %{buildroot}%{_datadir}/bdf2psf/

mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 man/bdf2psf.1 %{buildroot}%{_mandir}/man1/

%files
%doc README COPYRIGHT CHANGES
%doc copyright.fonts copyright.xkb Fonts/copyright
%{_bindir}/ckbcomp
%{_bindir}/setupcon
%config(noreplace) %{_sysconfdir}/default/console-setup
%config(noreplace) %{_sysconfdir}/default/keyboard
%{_datadir}/consolefonts/
%{_datadir}/consoletrans/
%{_mandir}/*/*

%files -n bdf2psf
%license GPL-2
%{_bindir}/bdf2psf
%{_datadir}/bdf2psf/
%{_mandir}/man1/bdf2psf.1*


%changelog
* Fri Sep 06 2024 daviddavid <daviddavid> 1.230-1.mga10
+ Revision: 2093307
- new version: 1.230

* Thu Jun 20 2024 daviddavid <daviddavid> 1.224-1.mga10
+ Revision: 2075624
- new version: 1.224
- package bdf2psf

* Thu May 04 2023 daviddavid <daviddavid> 1.212-3.mga9
+ Revision: 1955739
- add patch to use `grep -E` instead of deprecated `egrep`

* Mon Dec 26 2022 daviddavid <daviddavid> 1.212-2.mga9
+ Revision: 1926915
- fix dangling link: /usr/share/doc/console-setup/COPYRIGHT -> debian/copyright

* Tue Dec 13 2022 daviddavid <daviddavid> 1.212-1.mga9
+ Revision: 1921882
- new version: 1.212

* Fri Sep 16 2022 papoteur <papoteur> 1.210-1.mga9
+ Revision: 1889208
- new 1.210

* Fri Aug 19 2022 pol4n <pol4n> 1.209-1.mga9
+ Revision: 1878626
- new version: 1.209

* Mon Mar 21 2022 umeabot <umeabot> 1.207-2.mga9
+ Revision: 1815953
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 1.207-1.mga9
+ Revision: 1768773
- version 1.207
- rediff Patch0
- delete upstreamed Patch3

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.205-1.mga9
+ Revision: 1739363
- 1.205
- add patch from fedora to fix compatiability with xkeyboard-config

* Thu Apr 01 2021 daviddavid <daviddavid> 1.202-1.mga9
+ Revision: 1712483
- new version: 1.202

* Sat Jan 02 2021 luigiwalser <luigiwalser> 1.200-1.mga8
+ Revision: 1668062
- 1.200

* Wed Dec 02 2020 luigiwalser <luigiwalser> 1.199-1.mga8
+ Revision: 1651830
- 1.999

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.198-1.mga8
+ Revision: 1647082
- 1.198

* Wed Sep 23 2020 shlomif <shlomif> 1.197-1.mga8
+ Revision: 1629582
- New version 1.197

* Thu Jul 16 2020 shlomif <shlomif> 1.196-1.mga8
+ Revision: 1606536
- New version 1.196

* Thu Apr 09 2020 shlomif <shlomif> 1.195-1.mga8
+ Revision: 1565805
- New version 1.195

* Tue Feb 18 2020 umeabot <umeabot> 1.194-2.mga8
+ Revision: 1539590
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 1.194-1.mga8
+ Revision: 1465334
- New version 1.194

* Tue Jul 16 2019 shlomif <shlomif> 1.192-1.mga8
+ Revision: 1421947
- New version 1.192

* Fri Mar 15 2019 shlomif <shlomif> 1.190-1.mga7
+ Revision: 1377651
- New version 1.190

* Thu Sep 20 2018 umeabot <umeabot> 1.173-3.mga7
+ Revision: 1277813
- Mageia 7 Mass Rebuild

* Wed Dec 13 2017 shlomif <shlomif> 1.173-2.mga7
+ Revision: 1182489
- Fix MGA#22181 - dangling symlink.

* Sun Dec 10 2017 shlomif <shlomif> 1.173-1.mga7
+ Revision: 1181853
- Import based on Fedora - thanks


* Thu Nov 23 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.170-1
- Update to latest upstream version
  Resolves: #1508170

* Wed Oct 25 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.169-1
- Update to latest upstream version
  Resolves: #1503366

* Tue Sep 19 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.167-1
- Update to latest upstream version
  Resolves: #1467455

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.165-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 29 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.165-1
- Update to latest upstream version
  Resolves: #1465190

* Thu Apr 20 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.164-1
- Update to latest upstream version
  Resolves: #1428812

* Thu Mar 02 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.162-1
- Update to latest upstream version
  Resolves: #1421122

* Wed Feb 08 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.158-1
- Update to latest upstream version
  Resolves: #1414397

* Mon Jan 16 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.157-1
- Update to latest upstream version
  Resolves: #1410956

* Mon Dec 19 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.155-1
- Update to latest upstream version
  Resolves: #1404057

* Thu Nov 24 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.154-1
- Update to latest upstream version
  Resolves: #1394588

* Mon Oct 24 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.152-1
- Update to latest upstream version
  Resolves: #1378257

* Wed Sep 21 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.149-1
- Update to latest upstream version
  Resolves: #1377144

* Thu Aug 04 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.148-1
- Update to latest upstream version
  Resolves: #1361821

* Mon Jul 25 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.147-1
- Update to latest upstream version
  Resolves: #1357700

* Mon Jun 06 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.146-1
- Update to latest upstream version
  Resolves: #1343049

* Wed Jun 01 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.145-1
- Update to latest upstream version
  Resolves: #1341357

* Tue May 24 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.143-1
- Update to latest upstream version
  Resolves: #1338765

* Mon Apr 25 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.142-1
- Update to latest upstream version
  Resolves: #1323370

* Tue Mar 29 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.140-1
- Update to latest upstream version
  Resolves: #1314573

* Mon Feb 29 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.137-1
- Update to latest upstream version
  Resolves: #1310912

* Thu Feb 04 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.131-2
- Update to latest upstream version
  Resolves: #1303783

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.135-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.135-1
- Update to latest upstream version
  Resolves: #1303365

* Wed Nov 25 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.134-1
- Update to latest upstream version
  Resolves: #1275853

* Mon Oct 19 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.133-1
- Update to latest upstream version
  Resolves: #1246800, #1266276

* Thu Aug 27 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.132-1
- Update to latest upstream version
  Resolves: #1246800, #1256135

* Wed Jul 15 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.130-1
- Update to latest upstream version
  Resolves: #1236429

* Tue Jun 23 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.128-1
- Update to latest upstream version
  Resolves: #1222723

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.126-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.126-1
- Update to latest upstream version
  Resolves: #1221402

* Mon May 04 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.124-1
- Update to latest upstream version
  Resolves: #1217018

* Wed Apr 22 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.123-1
- Update to latest upstream version
  Resolves: #1212233

* Tue Apr 14 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.121-1
- Update to latest upstream version
  Resolves: #1210953

* Tue Mar 31 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.120-1
- Update to latest upstream version
  Resolves: #1206848

* Thu Mar 05 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.118-1
- Update to latest upstream version
  Resolves: #1199059

* Mon Feb 23 2015 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.117-1
- Update to latest upstream version
  Resolves: #1195090

* Mon Dec 08 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.116-1
- Update to latest upstream version
  Resolves: #1170951

* Wed Nov 12 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.115-1
- Update to latest upstream version
  Resolves: #1163117

* Thu Oct 30 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.114-1
- Update to latest upstream version
  Resolves: #1157435

* Wed Oct 01 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.113-1
- Update to latest upstream version
  Resolves: #1138997

* Mon Sep 01 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.111-1
- Update to latest upstream version
  Resolves: #1129030

* Mon Aug 04 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.110-1
- Update to latest upstream version
  Resolves: #1124031

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.108-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.108-1
- Update to latest upstream version
  Resolves: #1096045

* Thu Apr 10 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.107-1
- Update to latest upstream version
  Resolves: #1084949

* Thu Mar 20 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.106-1
- Update to latest upstream version
  Resolves: #1078695

* Thu Jan 02 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.104-1
- Update to latest upstream version
  Resolves: #1040384

* Wed Nov 06 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.102-1
- Update to latest upstream version
  Resolves: #1026672
- Fix bogus date in %%changelog

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.87-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.87-3
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.87-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 29 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.87-1
- Update to latest upstream version

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.80-1
- Update to latest upstream version
- Fix files listed twice build warning

* Tue Jun 26 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.76-2
- Fix License field
- Do not own /etc/default directory
- Fix FSF address in ckbcomp utility
- Fix paths in manpages

* Wed Jun 20 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.76-1
- Initial support
